microsoft-foundry.rest.security.o-auth2-auth
Indexes
Create or update a version
PATCH
/indexes/{name}/versions/{version}
Create a new or update an existing Index with the given version id
Parametry zapytań
api-version
string
wymagane
The API version to use for this operation.
Parametry ścieżki
name
string
wymagane
The name of the resource
version
string
wymagane
The specific version id of the Index to create or update.
Treść żądania
The Index to create or update.
Content-Type: application/merge-patch+json
Jedna z następujących:
AzureSearch
AzureAISearchIndexUpdate
Azure AI Search Index Definition
type
enum
wymagane
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndexUpdate
Managed Azure AI Search Index Definition
type
enum
wymagane
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndexUpdate
CosmosDB Vector Store Index Definition
type
enum
wymagane
Type of index
CosmosDBNoSqlVectorStore
Odpowiedzi
The request has succeeded.
Treść
Content-Type: application/json
Jedna z następujących:
AzureSearch
AzureAISearchIndex
Azure AI Search Index Definition
type
enum
wymagane
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndex
Managed Azure AI Search Index Definition
type
enum
wymagane
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndex
CosmosDB Vector Store Index Definition
type
enum
wymagane
Type of index
CosmosDBNoSqlVectorStore
Żądanie
PATCH /indexes/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json